%define major	0.9
%define libname %mklibname %{name} _%{major}
%define devname %mklibname %{name} -d

Name:		codec2
Version:	0.9.2
Release:	%mkrel 1
Summary:	An open source speech codec for 2400 bit/s and below
Group:		Communications/Radio
License:	LGPLv2
Url:		https://github.com/drowe67/codec2
Source0:	https://github.com/drowe67/codec2/archive/v0.9.2/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(speexdsp)

%description
Codec2 is an open source low bit rate speech codec designed for communications
quality speech between 1200 and 3200 bit/s. Applications include low bandwidth
HF/VHF digital radio and VOIP trunking. Codec 2 operating at 2400 bit/s can
send 26 phone calls using the bandwidth required for one 64 kbit/s uncompressed
phone call. It fills a gap in open source, free-as-in-speech voice codecs
beneath 5000 bit/s.

#----------------------------
%package -n %{libname}
Summary:	Dynamic library files for linking with %{name}

%description -n %{libname}
Dynamic library files for linking with %{name}

#----------------------------
%package -n %{devname}
Summary:	Development files for building packages using %{name}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for building packages using %{name}

%prep
%autosetup -p1

%build
%cmake

%cmake_build

%install
%cmake_install

# pkgconfig file
mkdir -p %{buildroot}%{_libdir}/pkgconfig
cat > %{buildroot}%{_libdir}/pkgconfig/%{name}.pc<<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}/%{name}

Name: %{name}
Description: A codec2 codec library
Requires:
Version: %{version}
Libs: -L\${libdir} -l%{name}
Libs.private: -lm
Cflags: -I\${includedir}

EOF

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r raw wav script %{buildroot}%{_datadir}/%{name}/


%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}

%files -n %{devname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/codec2/*

%files
%doc COPYING README_fdmdv.txt
%{_bindir}/*
%{_datadir}/%{name}


%changelog
* Mon Aug 17 2020 barjac <barjac> 0.9.2-1.mga8
+ Revision: 1614667
- new version 0.9.2
- new major 0.9
- tidy spec and update Url and Source0

* Fri May 01 2020 ovitters <ovitters> 0.8.1-4.mga8
+ Revision: 1577568
- rebuild to test package builds with cmake_install without a cmake_build

* Wed Feb 12 2020 umeabot <umeabot> 0.8.1-3.mga8
+ Revision: 1511450
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.8.1-2.mga7
+ Revision: 1296646
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 barjac <barjac> 0.8.1-1.mga7
+ Revision: 1235256
- new version 0.8.1
- fix Source0
- fix files list

* Thu Dec 21 2017 barjac <barjac> 0.7-1.mga7
+ Revision: 1183705
- new version 0.7
- new BR samplerate
- new major

* Wed May 11 2016 barjac <barjac> 0.5.1-1.mga6
+ Revision: 1012903
- new version
- fixed source0

* Sat Apr 09 2016 barjac <barjac> 0.5-3.mga6
+ Revision: 999953
- add codec2.pc to allow detection via pkgconfig

* Sat Feb 20 2016 umeabot <umeabot> 0.5-2.mga6
+ Revision: 972421
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 barjac <barjac> 0.5-1.mga6
+ Revision: 897719
- new version 0.5

* Tue Oct 20 2015 tv <tv> 0.4-2.mga6
+ Revision: 893127
- BR pkgconfig(speex)

* Mon Aug 24 2015 barjac <barjac> 0.4-1.mga6
+ Revision: 869168
- new version 0.4
- new major

* Wed Oct 15 2014 umeabot <umeabot> 0-0.1825.4.mga5
+ Revision: 739594
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0-0.1825.3.mga5
+ Revision: 693654
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0-0.1825.2.mga5
+ Revision: 678463
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 barjac <barjac> 0-0.1825.1.mga5
+ Revision: 672024
- new package codec2

